<?php
/**
 * Response result model.
 *
 * @package flo-checkout
 */

namespace Flo_Checkout\Gateways\Shift4_APM\Responses\Models;

use Exception;

defined( 'ABSPATH' ) || exit;

/**
 * Class Response_Result_Model
 */
class Result_Model {

	/**
	 * Response_Result_Model constructor.
	 *
	 * @param array $response_body The response data array.
	 */
	public function __construct(
		protected array $response_body
	) {}

	/**
	 * Get the response body.
	 *
	 * @return array The response body.
	 */
	public function get_response_body(): array {
		return $this->response_body;
	}

	/**
	 * Validate the response.
	 *
	 * @throws Exception If the response is not successful.
	 * @return void No return is expected for a successful response.
	 */
	public function validate(): void {}
}
